### Function

# PangoCairo context_get_shape_renderer

since: 1.18

#### Declaration [src]

    PangoCairoShapeRendererFunc
    pango_cairo_context_get_shape_renderer (
      PangoContext* context,
      gpointer* data
    )

#### Description [src]

Sets callback function for context to use for rendering attributes of type `PANGO_ATTR_SHAPE`.

See `PangoCairoShapeRendererFunc` for details.

Retrieves callback function and associated user data for rendering attributes of type `PANGO_ATTR_SHAPE` as set by `pango_cairo_context_set_shape_renderer()`, if any.

Available since: 1.18

This function is not directly available to language bindings.

#### Parameters

`context`

  Type: `PangoContext`

  A `PangoContext`, from a pangocairo font map.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer*`

  Pointer to `gpointer` to return user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `PangoCairoShapeRendererFunc`

The shape rendering callback previously set on the context, or `NULL` if no shape rendering callback have been set.